# $Revision: 1.35 $, $Date: 2004/05/07 00:59:48 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Statistics
%define	pnam	OLS
Summary:	Statistics::OLS - perform ordinary least squares and associated statistics
Summary(pl):	Statistics::OLS - metoda najmniejszych kwadratw i inne zwizane z ni statystyki
Name:		perl-Statistics-OLS
Version:	0.07
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7bd135125aecdbf523c00714e381eeaa
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
I wrote Statistics::OLS to perform Ordinary Least Squares (linear
curve fitting) on two dimensional data: y = a + bx. The other simple
statistical module I found on CPAN (Statistics::Descriptive) is
designed for univariate analysis. It accommodates OLS, but somewhat
inflexibly and without rich bivariate statistics. Nevertheless, it
might make sense to fold OLS into that module or a supermodule
someday.

%description -l pl
Modu Statistics::OLS zosta napisany, aby przeprowadza liniowe
dopasowanie zwyk metod najmniejszych kwadratw na dwuwymiarowych
danych (y = a + bx). Inny prosty modu, Statistics::Descriptive,
suy do analizy jednej zmiennej. Uywa on zwykej metody
najmniejszych kwadratw, ale jest mao elastyczny i pozbawiony bogatej
analizy dwch zmiennych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Statistics/OLS.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Statistics-OLS.spec,v $
Revision 1.35  2004/05/07 00:59:48  ankry
- rel. 10

Revision 1.34  2004/05/06 18:21:06  ankry
- fixed perl-devel BR

Revision 1.33  2004/05/02 05:32:04  ankry
- tests added, license fix

Revision 1.32  2003/09/09 10:24:48  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:09:14  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/05/28 13:01:03  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:24:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 20:46:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.25  2003/02/18 15:38:21  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/08/15 17:51:58  qboosh
- pl description, release++

Revision 1.23  2002/08/11 19:36:49  radek
- release up

Revision 1.22  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.21  2002/08/05 18:57:30  marcus
- use new %%doc
- rel.6.

Revision 1.20  2002/07/10 08:48:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:34:23  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:20:02  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:34:48  depesz
adapterized

Revision 1.14  2002/01/18 02:14:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:23  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:15:42  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/19 14:36:08  mis
- updated (by autoup) to 0.07

Revision 1.9  2001/01/23 20:45:17  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/09/05 00:57:27  kloczek
- updated to 0.06.

Revision 1.7  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:46  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:47  pius
- initial release
